select.c File Reference
Select loop abstraction

select loop abstraction More...

`#include <fcntl.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/select.h>`
`#include <osmocom/core/select.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/timer.h>`
`#include "../config.h"`

## Functions

static | LLIST_HEAD (osmo_fds)
int | osmo_fd_register (struct osmo_fd *fd)
| Register a new file descriptor with select loop abstraction. More...
void | osmo_fd_unregister (struct osmo_fd *fd)
| Unregister a file descriptor from select loop abstraction. More...
int | osmo_select_main (int polling)
| select main loop integration More...

## Variables

static int | maxfd = 0
static int | unregistered_count

## Detailed Description

select loop abstraction